org.apache.lucene.search

## Class QueryUtils.FCInvisibleMultiReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.CompositeReader
    - - org.apache.lucene.index.BaseCompositeReader<IndexReader>
      - - org.apache.lucene.index.MultiReader
        - - org.apache.lucene.search.QueryUtils.FCInvisibleMultiReader

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  QueryUtils

    public static class QueryUtils.FCInvisibleMultiReader
    extends MultiReader

This is a MultiReader that can be used for randomly wrapping other readers without creating FieldCache insanity. The trick is to use an opaque/fake cache key.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

`IndexReader.ReaderClosedListener`

### Constructor Summary

Constructors
Constructor and Description
`QueryUtils.FCInvisibleMultiReader(IndexReader... readers)`

### Method Summary

Methods
`Object` `getCombinedCoreAndDeletesKey()`
`Object` `getCoreCacheKey()`

### Methods inherited from class org.apache.lucene.index.MultiReader

`doClose`

### Methods inherited from class org.apache.lucene.index.BaseCompositeReader

`docFreq, document, getSequentialSubReaders, getTermVectors, hasDeletions, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.CompositeReader

`getContext, toString`

### Methods inherited from class org.apache.lucene.index.IndexReader

`addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hashCode, incRef, leaves, numDeletedDocs, open, open, open, open, open, registerParentReader, removeReaderClosedListener, tryIncRef`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryUtils.FCInvisibleMultiReader

    public QueryUtils.FCInvisibleMultiReader(IndexReader... readers)

### Method Detail

#### getCoreCacheKey

    public Object getCoreCacheKey()

Overrides:
  `getCoreCacheKey` in class `IndexReader`

#### getCombinedCoreAndDeletesKey

    public Object getCombinedCoreAndDeletesKey()

Overrides:
  `getCombinedCoreAndDeletesKey` in class `IndexReader`